C2DFVectorfield Class Reference
Basic data strctures and functions

a 2D field of floating point single accuracy 2D vectors More...

`#include <mia/2d/vectorfield.hh>`

Inheritance diagram for C2DFVectorfield:
[legend]
Collaboration diagram for C2DFVectorfield:
[legend]

## Public Member Functions

void | update_as_inverse_of (const C2DFVectorfield &other, float tol, int maxiter)
| evaluate this vector field as the inverse of another
void | update_by_velocity (const C2DFVectorfield &velocity_field, float time_step)
Public Member Functions inherited from T2DVectorfield< C2DFVector >
C2DFVector | get_interpol_val_at (const C2DFVector &p) const
| This function should really go away.
C2DFVector | get_pixel_size () const
void | set_pixel_size (const C2DFVector &pixel)
| T2DVectorfield ()
Public Member Functions inherited from T2DDatafield< C2DFVector >
const_iterator | begin () const
const_iterator | begin_at (size_t x, size_t y) const
range_iterator | begin_range (const C2DBounds &begin, const C2DBounds &end)
void | clear ()
const_iterator | end () const
range_iterator | end_range (const C2DBounds &begin, const C2DBounds &end)
void | get_data_line_x (size_t y, std::vector< C2DFVector > &buffer) const
void | get_data_line_y (size_t x, std::vector< C2DFVector > &buffer) const
Range | get_range (const C2DBounds &start, const C2DBounds &end)
const C2DBounds & | get_size () const
void | make_single_ref () __attribute__((deprecated))
const_reference | operator() (size_t x, size_t y) const
T2DDatafield< C2DFVector > & | operator= (const T2DDatafield< C2DFVector > &org)
const_reference | operator[] (size_t idx) const
void | put_data_line_x (size_t y, const std::vector< C2DFVector > &buffer)
void | put_data_line_y (size_t x, const std::vector< C2DFVector > &buffer)
size_type | size () const
| T2DDatafield ()
virtual | ~T2DDatafield ()
| CAttributedData ()
| CAttributedData (const CAttributedData &org)
| CAttributedData (PAttributeMap attr)
CAttributedData & | operator= (const CAttributedData &org)
| Assignemt operator.
const PAttribute | get_attribute (const std::string &key) const
CAttributeMap::const_iterator | begin_attributes () const
CAttributeMap::const_iterator | end_attributes () const
void | set_attribute (const std::string &key, PAttribute attr)
void | set_attributes (CAttributeMap::const_iterator begin, CAttributeMap::const_iterator end)
void | set_attribute (const std::string &key, const std::string &value)
template<typename T>
void | set_attribute (const std::string &key, const T &value)
void | set_attribute (const std::string &key, const char *value)
const std::string | get_attribute_as_string (const std::string &key) const
| returns the requested attribute as string, returns an empty string if attribute doesn't exist
template<typename T>
const T | get_attribute_as (const std::string &key) const
template<typename T>
const T | get_attribute_as (const std::string &key, T default_value) const
void | delete_attribute (const std::string &key)
bool | has_attribute (const std::string &key) const
void | print (std::ostream &os) const

## Additional Inherited Members

Public Types inherited from T2DDatafield< C2DFVector >
typedef ::std::vector< typename __holder_type_dispatch< C2DFVector >::type > | data_array
| type for the flat reprentation of the 2D data field
Static Public Attributes inherited from T2DVectorfield< C2DFVector >
static const char * | data_descr
| plug.in related type description string

## Detailed Description

a 2D field of floating point single accuracy 2D vectors

Definition at line 79 of file 2d/vectorfield.hh.

## Member Function Documentation

## update_as_inverse_of()

void C2DFVectorfield::update_as_inverse_of | ( | const C2DFVectorfield & | other,
|  | float | tol,
|  | int | maxiter )

evaluate this vector field as the inverse of another

This functions corrects the vector field to describe the inverse transformation of a given input vector field

Parameters

  other | the vector field this one should be inverse of
  tol | tolerance for inverse accuracy
  maxiter | maximum number of interations for one vector to be optimized

## update_by_velocity()

void C2DFVectorfield::update_by_velocity | ( | const C2DFVectorfield & | velocity_field,
|  | float | time_step )

Update this vector field by using a velocity field

Parameters

  velocity_field | the velocity field
  time_step | the time step to be used for the update

The documentation for this class was generated from the following file:

- 2d/vectorfield.hh